# DataExchange
TKSTEPBase
StepShape

# StepShape_OrientedOpenShell Class Reference

`#include <StepShape_OrientedOpenShell.hxx>`

Inheritance diagram for StepShape_OrientedOpenShell:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_OrientedOpenShell ()
| Returns a OrientedOpenShell .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFace)&aCfsFaces)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_OpenShell)&aOpenShellElement, const Standard_Boolean aOrientation)
Standard_EXPORT void | SetOpenShellElement (const Handle(StepShape_OpenShell)&aOpenShellElement)
Standard_EXPORT Handle_StepShape_OpenShell | OpenShellElement () const
Standard_EXPORT void | SetOrientation (const Standard_Boolean aOrientation)
Standard_EXPORT Standard_Boolean | Orientation () const
virtual Standard_EXPORT void | SetCfsFaces (const Handle(StepShape_HArray1OfFace)&aCfsFaces)
virtual Standard_EXPORT Handle_StepShape_HArray1OfFace | CfsFaces () const
virtual Standard_EXPORT Handle_StepShape_Face | CfsFacesValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbCfsFaces () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_OpenShell | openShellElement
Standard_Boolean | orientation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_OrientedOpenShell::StepShape_OrientedOpenShell | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfFace StepShape_OrientedOpenShell::CfsFaces | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_ConnectedFaceSet.

virtual Standard_EXPORT Handle_StepShape_Face StepShape_OrientedOpenShell::CfsFacesValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepShape_ConnectedFaceSet.

Standard_EXPORT const StepShape_OrientedOpenShell::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_OpenShell.

virtual Standard_EXPORT void StepShape_OrientedOpenShell::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_OpenShell)& | aOpenShellElement,
|  | const Standard_Boolean | aOrientation
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_OrientedOpenShell::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFace)& | aCfsFaces
| ) | `[virtual]`

| Reimplemented from StepShape_ConnectedFaceSet.

virtual Standard_EXPORT Standard_Integer StepShape_OrientedOpenShell::NbCfsFaces | ( |  | ) | const`[virtual]`

| Reimplemented from StepShape_ConnectedFaceSet.

Standard_EXPORT Handle_StepShape_OpenShell StepShape_OrientedOpenShell::OpenShellElement | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepShape_OrientedOpenShell::Orientation | ( |  | ) | const

virtual Standard_EXPORT void StepShape_OrientedOpenShell::SetCfsFaces | ( | const Handle(StepShape_HArray1OfFace)& | aCfsFaces | ) | `[virtual]`

| Reimplemented from StepShape_ConnectedFaceSet.

Standard_EXPORT void StepShape_OrientedOpenShell::SetOpenShellElement | ( | const Handle(StepShape_OpenShell)& | aOpenShellElement | ) |

Standard_EXPORT void StepShape_OrientedOpenShell::SetOrientation | ( | const Standard_Boolean | aOrientation | ) |

## Field Documentation

Handle_StepShape_OpenShell StepShape_OrientedOpenShell::openShellElement `[private]`

Standard_Boolean StepShape_OrientedOpenShell::orientation `[private]`

The documentation for this class was generated from the following file:

- StepShape_OrientedOpenShell.hxx